deploy:
  runtime:
    # 整套配置唯一标识，通常用于区分生产和测试，避免某些配置混淆，如pulsar订阅名
    signature: b12
    # 应用部署主机用户
    user: datalake
    # 应用jar包
    jar-path: /data/datalake/jars
    # 主机jdk根目录
    jdk-path: /opt/jdk8u252-b09
    # 应用日志
    log-path: /data/datalake/logs
    # 应用配置
    conf-path: /data/datalake/conf
    # 应用数据
    data-path: /data/datalake/data
    # service-uploader模块提供的下载地址
    download-url: http://AxhEbscwsJDbYMH2:cYxg3b4PtWoVD5SjFayWxtnSVsjzRsg4@132.126.207.124:36800/file/download
    # kerberos keytab文件
    kerberos-keytab-path: /etc/security/keytabs/datalake.app.keytab
    # 服务日志和hudi日志对应的loki服务
    loki:
      service-url: http://132.126.207.125:33100
      service-push-url: ${deploy.runtime.loki.service-url}/loki/api/v1/push
      hudi-url: http://132.126.207.126:33100
      hudi-push-url: ${deploy.runtime.loki.hudi-url}/loki/api/v1/push
    # 服务zookeeper
    zk-url: b1m2.hdp.dc:2181,b1m3.hdp.dc:2181,b1m4.hdp.dc:2181,b1m5.hdp.dc:2181,b1m6.hdp.dc:2181
    # hudi zookeeper（通常和服务zookeeper共用）
    connector-zk-url: b1m2.hdp.dc:2181,b1m3.hdp.dc:2181,b1m4.hdp.dc:2181,b1m5.hdp.dc:2181,b1m6.hdp.dc:2181
    hudi:
      # hudi业务jar包所在目录
      app-hdfs-path: hdfs://b2/apps/datalake/jars/app-b12
      # hudi指标推送
      victoria-push-url: http://132.126.207.125:35710/api/v1/import/prometheus
      loki-push-url: ${deploy.runtime.loki.hudi-push-url}
    executor:
      # task业务jar包所在目录
      task-jar-path: hdfs://b2/apps/datalake/jars/service
      # task结果存放目录
      task-result-path: hdfs://b2/apps/datalake/task-results
    # spring security配置
    security:
      authority: ENC(GXKnbq1LS11U2HaONspvH+D/TkIx13aWTaokdkzaF7HSvq6Z0Rv1+JUWFnYopVXu)
      username: ENC(moIO5mO39V1Z+RDwROK9JXY4GfM8ZjDgM6Si7wRZ1MPVjbhTpmLz3lz28rAiw7c2LeCmizfJzHkEXIwGlB280g==)
      darkcode: ENC(0jzpQ7T6S+P7bZrENgYsUoLhlqGvw7DA2MN3BRqEOwq7plhtg72vuuiPQNnr3DaYz0CpyTvxInhpx11W3VZ1trD6NINh7O3LN70ZqO5pWXk=)
    # hudi运行集群（集群名称需要和代码里定义的名称一致）
    yarn:
      # hudi表数据存放集群
      store-cluster: b2
      # hudi同步运行集群
      sync-clusters: b12
      # hudi压缩运行集群
      compaction-clusters: b12,b1,b5,a4
  # 覆盖service的公共配置，主要需要修改的就是部署副本数
  services:
    service-api:
      replicas: 10
    service-launcher-b1:
      replicas: 6
    service-launcher-b5:
      replicas: 6
    service-launcher-a4:
      replicas: 6
    service-launcher-b12:
      replicas: 6
    service-info-query:
      replicas: 10
    service-yarn-query:
      replicas: 20
    service-zookeeper-query:
      replicas: 10
    service-hudi-query:
      replicas: 20
    service-pulsar-query:
      replicas: 10
    service-flink-query:
      replicas: 10
  # 全部部署主机的域名和ip信息（key值必须按"[xxx]"这种方式写，spring boot旧版的历史遗留bug）
  hosts:
    "[b12s4.hdp.dc]":
      ip: 132.126.207.130
    "[b12s5.hdp.dc]":
      ip: 132.126.207.131
    "[b12s6.hdp.dc]":
      ip: 132.126.207.132
    "[b12s7.hdp.dc]":
      ip: 132.126.207.133
    "[b12s8.hdp.dc]":
      ip: 132.126.207.134
    "[b12s9.hdp.dc]":
      ip: 132.126.207.135
    "[b12s10.hdp.dc]":
      ip: 132.126.207.136
    "[b12s11.hdp.dc]":
      ip: 132.126.207.137
    "[b12s12.hdp.dc]":
      ip: 132.126.207.138
    "[b12s13.hdp.dc]":
      ip: 132.126.207.139
    "[b12s14.hdp.dc]":
      ip: 132.126.207.140
    "[b12s15.hdp.dc]":
      ip: 132.126.207.141
    "[b12s16.hdp.dc]":
      ip: 132.126.207.142
    "[b12s17.hdp.dc]":
      ip: 132.126.207.143
    "[b12s18.hdp.dc]":
      ip: 132.126.207.144
    "[b12s19.hdp.dc]":
      ip: 132.126.207.145
    "[b12s20.hdp.dc]":
      ip: 132.126.207.146
    "[b12s21.hdp.dc]":
      ip: 132.126.207.147
    "[b12s22.hdp.dc]":
      ip: 132.126.207.148
    "[b12s23.hdp.dc]":
      ip: 132.126.207.149
    "[b12s24.hdp.dc]":
      ip: 132.126.207.150
    "[b12s25.hdp.dc]":
      ip: 132.126.207.151
    "[b12s26.hdp.dc]":
      ip: 132.126.207.152
    "[b12s27.hdp.dc]":
      ip: 132.126.207.153
    "[b12s28.hdp.dc]":
      ip: 132.126.207.154
    "[b12s29.hdp.dc]":
      ip: 132.126.207.155
    "[b12s30.hdp.dc]":
      ip: 132.126.207.156
    "[b12s31.hdp.dc]":
      ip: 132.126.207.157
    "[b12s32.hdp.dc]":
      ip: 132.126.207.158
    "[b12s33.hdp.dc]":
      ip: 132.126.207.159
    "[b12s34.hdp.dc]":
      ip: 132.126.207.160
    "[b12s35.hdp.dc]":
      ip: 132.126.207.161
    "[b12s36.hdp.dc]":
      ip: 132.126.207.162
    "[b12s37.hdp.dc]":
      ip: 132.126.207.163
    "[b12s38.hdp.dc]":
      ip: 132.126.207.164
    "[b12s39.hdp.dc]":
      ip: 132.126.207.165
    "[b12s40.hdp.dc]":
      ip: 132.126.207.166
    "[b12s41.hdp.dc]":
      ip: 132.126.207.167
    "[b12s42.hdp.dc]":
      ip: 132.126.207.168
    "[b12s43.hdp.dc]":
      ip: 132.126.207.169
    "[b12s44.hdp.dc]":
      ip: 132.126.207.170
    "[b12s45.hdp.dc]":
      ip: 132.126.207.171
    "[b12s46.hdp.dc]":
      ip: 132.126.207.172
    "[b12s47.hdp.dc]":
      ip: 132.126.207.173
    "[b12s48.hdp.dc]":
      ip: 132.126.207.174
    "[b12s49.hdp.dc]":
      ip: 132.126.207.175
    "[b12s50.hdp.dc]":
      ip: 132.126.207.176
    "[b12s51.hdp.dc]":
      ip: 132.126.207.177